# class Psych::SyntaxError

### Attributes

column [R]
context [R]
file [R]
line [R]
offset [R]
problem [R]

### Public Class Methods

new (file, line, col, offset, problem, context)
Source

    # File ext/psych/lib/psych/syntax_error.rb, line 8
    def initialize file, line, col, offset, problem, context
      err      = [problem, context].compact.join ' '
      filename = file || '<unknown>'
      message  = "(%s): %s at line %d column %d" % [filename, err, line, col]

      @file    = file
      @line    = line
      @column  = col
      @offset  = offset
      @problem = problem
      @context = context
      super(message)
    end

Calls superclass method `Exception::new`